none
what Adapter Pack of mySAP suite for BizTalk 2006 R2 32 bits environment? RRS feed

  • Question

  • Hello,

    In order to use mySAP Adapter What Adapter Pack version should I use for the BizTalk Server 2006 R2 32 bits environment with Visual Studio 2005 on it?  I saw there is Adapter Pack 3.0, but not sure what are the requirements for using it, and where to get it?  It may be able to download from MSDN subscription.  Any suggestion?

    In the order version Adapter Pack, there was a very useful configuration scenario Word document describing how-to?  Is there a similar one for Adapter Pack 3.0 mySAP?

    Thx,

    Michael

    Tuesday, February 8, 2011 6:23 PM

Answers

  • Hi Micheal,

    There is no Adapter Pack 3.0. What is meant is that Microsoft BizTalk Adapter 3.0 for mySAP Business Suite that is packaged in the BizTalk Adapter Pack 2.0! SAP Adapters. Interoperability to SAP has been supported by Microsoft since 2000 with connectivity to SAP R/3. Adapters for SAP were based initially on the BizTalk Server Adapter Framework and later on the Adapter Pack 1.0 release which makes use of the Windows Communication Framework (WCF). Microsoft BizTalk Adapter 3.0 for mySAP Business Suite supports execution of BAPIs, RFCs, and tRFCs, data exchange using IDOCs, and receiving events from SAP with a generic RFC Server. Versions SAP R/3 4.x and R/3 6.20 (Enterprise) SAP ECC 6.0. BizTalk 2010 ships with BizTalk Adapter Pack 2010 that bundles all adapters present in Adapter Pack 2.0 and older Microsoft BizTalk Adapters for Enterprise Applications (i.e. Non-WCF). For more information read MSDN Understanding BizTalk Adapter 3.0 for mySAP Business Suite .

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Tuesday, February 8, 2011 8:19 PM
    Moderator

All replies

  • Hi Micheal,

    Adapter Pack 2.0 is supported on BizTalk 2006 R2 and 2009. You can find installation guide here , documentation here (including SAP). Adapter Pack can be obtain through BizTalk Server license or as separate licensed package or online (evaluation edition!) or MSDN Subscription.For reference see my white paper on adapter pack 2.0 for background information.

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly

     


    BizTalk
    • Marked as answer by Use4Forums Tuesday, February 8, 2011 7:32 PM
    • Unmarked as answer by Use4Forums Tuesday, February 8, 2011 7:59 PM
    Tuesday, February 8, 2011 6:55 PM
    Moderator
  • Steef-Jan,

    Thanks for the responding.  How about Adapter Pack 3.0?  I saw some posts regarding Adapter Pack 3.0 used in BizTalk Server 2006 R2.  If that's true case, does it makes sense to use 3.0 instead, or should I stay with Adapter Pack 2.0?

    I was thinking of avoiding future mySAP project migration when the current BizTalk server get upgraded to newer BizTalk server version.

    Thanks for the help,

    Michael

    Tuesday, February 8, 2011 7:32 PM
  • Hi Micheal,

    There is no Adapter Pack 3.0. What is meant is that Microsoft BizTalk Adapter 3.0 for mySAP Business Suite that is packaged in the BizTalk Adapter Pack 2.0! SAP Adapters. Interoperability to SAP has been supported by Microsoft since 2000 with connectivity to SAP R/3. Adapters for SAP were based initially on the BizTalk Server Adapter Framework and later on the Adapter Pack 1.0 release which makes use of the Windows Communication Framework (WCF). Microsoft BizTalk Adapter 3.0 for mySAP Business Suite supports execution of BAPIs, RFCs, and tRFCs, data exchange using IDOCs, and receiving events from SAP with a generic RFC Server. Versions SAP R/3 4.x and R/3 6.20 (Enterprise) SAP ECC 6.0. BizTalk 2010 ships with BizTalk Adapter Pack 2010 that bundles all adapters present in Adapter Pack 2.0 and older Microsoft BizTalk Adapters for Enterprise Applications (i.e. Non-WCF). For more information read MSDN Understanding BizTalk Adapter 3.0 for mySAP Business Suite .

    HTH

    Regards,

    Steef-Jan Wiggers
    MVP & MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Tuesday, February 8, 2011 8:19 PM
    Moderator